[ 
https://issues.apache.org/jira/browse/YARN-1796?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14075222#comment-14075222
 ] 

Hudson commented on YARN-1796:
------------------------------

FAILURE: Integrated in Hadoop-trunk-Commit #5974 (See 
[https://builds.apache.org/job/Hadoop-trunk-Commit/5974/])
YARN-1796. container-executor shouldn't require o-r permissions. Contributed by 
Aaron T. Myers. (atm: 
http://svn.apache.org/viewcvs.cgi/?root=Apache-SVN&view=rev&rev=1613548)
* /hadoop/common/trunk/hadoop-yarn-project/CHANGES.txt
* 
/hadoop/common/trunk/hadoop-yarn-project/hadoop-yarn/hadoop-yarn-server/hadoop-yarn-server-nodemanager/src/main/native/container-executor/impl/container-executor.c


> container-executor shouldn't require o-r permissions
> ----------------------------------------------------
>
>                 Key: YARN-1796
>                 URL: https://issues.apache.org/jira/browse/YARN-1796
>             Project: Hadoop YARN
>          Issue Type: Bug
>          Components: nodemanager
>    Affects Versions: 2.4.0
>            Reporter: Aaron T. Myers
>            Assignee: Aaron T. Myers
>            Priority: Minor
>             Fix For: 2.6.0
>
>         Attachments: YARN-1796.patch
>
>
> The container-executor currently checks that "other" users don't have read 
> permissions. This is unnecessary and runs contrary to the debian packaging 
> policy manual.
> This is the analogous fix for YARN that was done for MR1 in MAPREDUCE-2103.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Reply via email to